OgrePrerequisites.h File Reference
`#include "OgrePlatform.h"`
`#include <string>`
`#include "Threading/OgreThreadDefines.h"`
`#include "OgreStdHeaders.h"`
`#include "OgreMemoryAllocatorConfig.h"`

Go to the source code of this file.

## Classes

struct | Ogre::deque< T, A >
struct | Ogre::vector< T, A >
struct | Ogre::list< T, A >
struct | Ogre::set< T, P, A >
struct | Ogre::map< K, V, P, A >
struct | Ogre::multimap< K, V, P, A >

## Namespaces

namespace | Ogre

## Defines

#define | OGRE_MEMORY_TRACKER 0
#define | OGRE_VERSION_MAJOR 1
#define | OGRE_VERSION_MINOR 8
#define | OGRE_VERSION_PATCH 1
#define | OGRE_VERSION_SUFFIX ""
#define | OGRE_VERSION_NAME "Byatis"
#define | OGRE_VERSION ((OGRE_VERSION_MAJOR << 16) | (OGRE_VERSION_MINOR << 8) | OGRE_VERSION_PATCH)
#define | HashMap ::std::hash_map
#define | HashSet ::std::hash_set
#define | OGRE_DEFINE_STATIC_LOCAL(type, name, arguments) static type& name = *new type arguments

## Typedefs

typedef float | Ogre::Real
| Software floating point type.
typedef unsigned char | Ogre::uchar
| In order to avoid finger-aches :)
typedef unsigned short | Ogre::ushort
typedef unsigned int | Ogre::uint
typedef unsigned long | Ogre::ulong
typedef std::string | Ogre::_StringBase
typedef std::basic_stringstream< char, std::char_traits< char > , std::allocator< char > > | Ogre::_StringStreamBase
typedef _StringBase | Ogre::String
typedef _StringStreamBase | Ogre::StringStream
typedef StringStream | Ogre::stringstream

## Define Documentation

#define HashMap ::std::hash_map

Definition at line 107 of file OgrePrerequisites.h.

#define HashSet ::std::hash_set

Definition at line 108 of file OgrePrerequisites.h.

#define OGRE_DEFINE_STATIC_LOCAL | ( |  | type,
|  |  | name,
|  |  | arguments
| ) |  | static type& name = *new type arguments

Definition at line 112 of file OgrePrerequisites.h.

#define OGRE_MEMORY_TRACKER 0

Definition at line 47 of file OgrePrerequisites.h.

#define OGRE_VERSION ((OGRE_VERSION_MAJOR << 16) | (OGRE_VERSION_MINOR << 8) | OGRE_VERSION_PATCH)

Definition at line 62 of file OgrePrerequisites.h.

#define OGRE_VERSION_MAJOR 1

Definition at line 56 of file OgrePrerequisites.h.

#define OGRE_VERSION_MINOR 8

Definition at line 57 of file OgrePrerequisites.h.

#define OGRE_VERSION_NAME "Byatis"

Definition at line 60 of file OgrePrerequisites.h.

#define OGRE_VERSION_PATCH 1

Definition at line 58 of file OgrePrerequisites.h.

#define OGRE_VERSION_SUFFIX ""

Definition at line 59 of file OgrePrerequisites.h.

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25